Loading...
Searching...
No Matches
stdex::parser::basic_signed_numeral< T > Class Template Reference

Test for signed numeral. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_signed_numeral< T >:

## Public Member Functions

| basic_signed_numeral (const std::shared_ptr< basic_parser< T > > &_positive_sign, const std::shared_ptr< basic_parser< T > > &_negative_sign, const std::shared_ptr< basic_parser< T > > &_special_sign, const std::shared_ptr< basic_parser< T > > &_number, const std::locale &locale=std::locale())
virtual bool | match (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
template<class _Traits , class _Ax >
bool | match (const std::basic_string< T, _Traits, _Ax > &text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

std::shared_ptr< basic_parser< T > > | positive_sign
| Positive sign.
std::shared_ptr< basic_parser< T > > | negative_sign
| Negative sign.
std::shared_ptr< basic_parser< T > > | special_sign
| Special sign (e.g. plus-minus '±')
std::shared_ptr< basic_parser< T > > | number
| Number.
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.

## Additional Inherited Members

Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T>
class stdex::parser::basic_signed_numeral< T >

Test for signed numeral.

## Member Function Documentation

## invalidate()

template<class T >

virtual void stdex::parser::basic_signed_numeral< T >::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::basic_parser< T >.

## match()

template<class T >

virtual bool stdex::parser::basic_signed_numeral< T >::match | ( | _In_reads_or_z_(end) const T * | text,
|  | size_t | start = `0`,
|  | size_t | end = `SIZE_MAX`,
|  | int | flags = `match_default`
| ) |  |

inlinevirtual

Implements stdex::parser::basic_parser< T >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp